Page MenuHomePhabricator

[GlobalISel] Avoid asserting when SizeOp0 isn't an exact multiple of NarrowSize
ClosedPublic

Authored by nikic on Dec 1 2020, 6:48 PM.

Diff Detail

Event Timeline

shepmaster created this revision.Dec 1 2020, 6:48 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 1 2020, 6:48 PM
shepmaster requested review of this revision.Dec 1 2020, 6:48 PM

Ideally, this would target the 11.x branch as I'd like to cherry-pick it into the Rust project to address our upstream issue (https://github.com/rust-lang/rust/issues/78881)

arsenm requested changes to this revision.Dec 2 2020, 7:40 PM

Needs testcase

This revision now requires changes to proceed.Dec 2 2020, 7:40 PM

There’s an LLVM IR attached to the big report that crashes, but I don’t know how to create a test case from it.

It also seems like it’s brittle because the test passes on the current development branch even though no apparent relevant code change has occurred.

I’m seeking advice on how to create the test.

nikic commandeered this revision.Mar 1 2021, 1:18 PM
nikic updated this revision to Diff 327260.
nikic added a reviewer: shepmaster.
nikic retitled this revision from Avoid asserting when SizeOp0 isn't an exact multiple of NarrowSize. to [GlobalISel] Avoid asserting when SizeOp0 isn't an exact multiple of NarrowSize.

Add test case. As we're testing SDAG fallback here, I assumed that an IR test case is appropriate.

arsenm accepted this revision.Mar 1 2021, 1:54 PM
This revision is now accepted and ready to land.Mar 1 2021, 1:54 PM
This revision was landed with ongoing or failed builds.Mar 1 2021, 2:32 PM
This revision was automatically updated to reflect the committed changes.